<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');


		
class JExtranetModelAssets extends JModelList
{
	public function __construct($config = array()) {
		
		parent::__construct($config);
	}
	
	protected function populateState( $ordering = null, $direction = null ) { 
		

		$folder = JRequest::getVar('folder', '', '', 'base64');
		$this->setState('folder', $folder ? base64_decode($folder) : '' );

		// List state information.
		parent::populateState();
	}

	protected function getStoreId($id = '') {
		
		// Compile the store id.
		$id	.= ':'.$this->getState('folder');

		return parent::getStoreId($id);
	}


	public function getFiles() {

		$location 	= JExtranetHelper::getSystem()->getUploadFolder() . DIRECTORY_SEPARATOR . $this->getState('folder');
		$fileList		= JFolder::files($location);
		$files 		= array();

		if ( !empty( $fileList ) ) {
			foreach ( $fileList as $file ) {
				print_r($file);
				if ( $file == 'index.html' ) {
					continue;
				}
				$indexat = new JObject();
				$indexat->title 	= $file;
				$pathinfo 			= pathinfo ( $location . DIRECTORY_SEPARATOR . $file );  
				$indexat->filetype 	= isset($pathinfo['extension']) ? $pathinfo['extension'] : '';
				$indexat->size		= filesize( $location . DIRECTORY_SEPARATOR . $file );
				$files[] = $indexat;

			}
		}
		die();
		return $files;
	}
	
}
?>
