<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

class JFormFieldChoosefile extends JFormFieldList {

	protected $type = 'Choosefile';

	public function getInput() {
		
		// get folder
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
	
		$folderID = $this->form->getValue ('f_parent') ? $this->form->getValue ('f_parent') : JRequest::getVar ('folder',0,'get','int');

		$folder = JTable::getInstance('Folder','JExtranetTable');
		$folder->load($folderID);
		
		// Initialize variables.
		$html = array();
		$link = 'index.php?option=com_jextranet&view=assets&tmpl=component&fieldid='.$this->id.'&folder='.base64_encode( $folder->fd_name_ftp );

		// Load the modal behavior script.
		JHtml::_('behavior.modal', 'a.modal_'.$this->id);
																			
		$html[] = '	<div class="input-prepend input-append">';
		$html[] = '	<div class="media-preview add-on">';
		$html[] = '		<span class="hasTipPreview" title=""><i class="icon-eye"></i></span>';
		$html[] = '	</div>';
		$html[] = '<input id="'.$this->id.'" type="text" value="'. $this->value.'" name="'.$this->name.'" class="'. $this->class.'" readonly="readonly" />';
		$html[] = '<a class="modal btn" rel="{handler: \'iframe\', size: {x: 800, y: 600}}" href="'.$link.'" title="'.JText::_('COM_JEXTRANET_SELECT').'">'.JText::_('COM_JEXTRANET_SELECT').'</a>';

		$html[] = '<a class="btn" onclick="javascript:document.getElementById(\''.$this->id.'\').value=\'\';" href="#" title="'.JText::_('COM_JEXTRANET_CLEAR').'"><i class="icon-remove"></i>'.JText::_('COM_JEXTRANET_CLEAR').'</a>';
		$html[] = '</div>';

		return implode( $html );
	}
	
}
?>
