<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

class JFormFieldMessagetogroup extends JFormFieldList
{
	protected $type = 'messagetogroup';

	public function getInput() 
	{
		$groups	= JExtranetHelper::getSystem()->getGroups();
		$html = '<select id="jform_fd_parent" class="'.$this->class.'" multiple required="" name="jform[group][]">';
		$html .= '<option value="0" selected>' .  JText::_('COM_JEXTRANET_USERS_SELECT_GROUP') . '</option>';
		$html .= JHtml::_('select.options', $groups, 'value', 'text', '');
		$html .= '</select>';

		return $html;
	}
}
