<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewAbout extends JViewLegacy {

	protected $info;
	
	public function display($tpl = null) {
		
		$this->addToolbar();

		JExtranetHelper::getSystem()->addSubmenu ('about');
		$this->sidebar = JHtmlSidebar::render();
		$this->info = new SimpleXMLElement(JPATH_COMPONENT . '/jextranet.xml', 0, true);

		parent::display($tpl);
	}
	

	public function addToolbar() {	
		
		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );

		$canDo	= JExtranetHelper::getSystem()->getActions();
		
		JToolBarHelper::title(   'J!Extranet :: ' . JText::_( 'COM_JEXTRANET_ABOUT' ), 'info' );	
		
		$bar = JToolBar::getInstance('toolbar');
		$bar->appendButton('Popup', 'sys', 'COM_JEXTRANET_SYS', 'index.php?option=com_jextranet&view=sysinfo&tmpl=component',700,300);
		
		
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_jextranet');
		}		
	}
}
