<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'message.cancel' || document.formvalidator.isValid(document.id('message-form'))) {
			Joomla.submitform(task, document.getElementById('message-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&m_id='.(int) $this->item->m_id); ?>" method="post" name="adminForm" id="message-form" class="form-horizontal">
	

	<div class="span6 offset3">
		<p class="text-center size64"><i class="icon icon-envelope"></i></p>
			
		<div class="folder-label">
			<h3 class="text-center"><?php echo $this->escape($this->item->m_subject); ?></h3>
		</div>
		
		<div class="folder-details">
			<div class="row-fluid">
				<div class="span12">
					<div class="span5 offset1">
						<?php echo JText::_('COM_JEXTRANET_FROM'); ?>
					</div>
					<div class="span5">
						<?php echo JFactory::getUser( $this->item->m_user_id_from )->get('name') ;?>
					</div>
				</div>
			</div>
					
			<div class="row-fluid">
				<div class="span12">
					<div class="span5 offset1">
						<?php echo JText::_('COM_JEXTRANET_TO');?>
					</div>
					<div class="span5">
						<ul>
						<?php if ( !preg_match('/[^0-9]/', $this->item->m_user_id_to) ) { 
								if ( $this->item->m_user_id_to == 1 ) { ?>
								<li><?php echo JText::_('COM_JEXTRANET_ADMIN'); ?></li>
								<?php } else { ?>
								<li><?php echo $this->escape(JFactory::getUser( $this->item->m_user_id_to )->get('name')); ?></li>
								<?php }
							} else {
								$users = json_decode(  $this->item->m_user_id_to );
								foreach ( $users as $user ) { ?>
								<li><?php echo $this->escape(JFactory::getUser( $user )->get('name')); ?></li> 
								<?php }
							}?>
						</ul>
					</div>
				</div>
			</div>
			
			<div class="row-fluid">
				<div class="span12">
					<div class="span5 offset1">
						<?php echo JText::_('COM_JEXTRANET_DATE');?>
					</div>
					<div class="span5">
						<?php echo $this->item->m_date_time;?>
					</div>
				</div>
			</div>
			
			<div class="row-fluid">
				<div class="span12">
					<div class="span5 offset1">
						<?php echo JText::_('COM_JEXTRANET_READ');?>
					</div>
					<div class="span5">
						<?php echo $this->item->published ? JText::_('JYES') :  JText::_('JNO'); ?>
					</div>
				</div>
			</div>
		</div>
		
		<div class="well well-large">
			<?php echo nl2br($this->escape(strip_tags($this->item->m_message)));?>
		</div>
	</div>
	
	
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
