<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>
 
<form enctype="multipart/form-data" action="<?php echo JRoute::_('index.php?option=com_jextranet&view=multiple&folder=' . $this->folder->id ); ?>" method="post" name="adminForm" id="adminForm">

<script type="text/javascript">

jQuery().ready(function() {

	var errors="";
	
	jQuery('#upload').mfupload({
		
		type		: '',	//all types
		maxsize		: '500',
		post_upload	: "<?php echo JUri::root();?>administrator/index.php?option=com_jextranet&task=multiple.upload&tmpl=component&folder=<?php echo $this->folder->id;?>&<?php echo JSession::getFormToken();?>=1",
		folder		: "<?php echo $this->folder->id;?>",
		ini_text	: "<?php echo JText::_(sprintf(JText::_('COM_JEXTRANET_MULTI_UPLOAD_DRAG_FILE'), $this->escape($this->folder->name)));?>",
		over_text	: "<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DROP_HERE');?>",
		over_col	: 'white',
		over_bkcol	: '#27ae60',
        
		init		: function(){		
			jQuery("#uploaded").empty();
		},
		
		start		: function(result){		
			jQuery("#uploaded").append("<div id='FILE"+result.fileno+"' class='files'>"+result.filename+"<div id='PRO"+result.fileno+"' class='progress'></div></div>");	
		},

		loaded		: function(result){
			jQuery("#PRO"+result.fileno).remove();
			jQuery("#FILE"+result.fileno).html("<i class='icon icon-file'></i> <?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_UPLOADED');?>: "+result.filename+" ("+result.size+")");	
			if ( result.error ) {
				jQuery("#FILE"+result.fileno).html("<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_ERRORS');?>: "+result.error);	
			}		
		},

		progress	: function(result){
			jQuery("#PRO"+result.fileno).css("width", result.perc+"%");
		},

		error		: function(error){
			errors += error.filename+": "+error.err_des+"\n";
		},

		completed	: function(){
			if (errors != "") {
				alert(errors);
				errors = "";
			}
		}
	});   	
})
</script>

	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="multiple.upload" />
</form>

<div id="j-main-container" class="span12">
	
	<div class="control-group">
		<div class="controls">

			<legend><?php echo JText::_('COM_JEXTRANET_FILES_ADD_MULTIPLE_FILES');?> <?php echo $this->escape($this->folder->name);?></legend>
			<div class="demo" style="position:relative; height:250px;">
				<div id="upload" style = "border:2px dashed #ddd; width:200px; height:200px; padding:10px; position:absolute; top:0; left:40px;"></div>
				<div id="uploaded" style = "border: 1px solid #ddd; width:420px; height:200px; padding:10px; position:absolute; top:0; left:310px; overflow-y:auto; background:#ecf0f1; color:#2c3e50">
				</div>
			</div>
	
		</div>
	</div>

	<div class="control-group">
		<div class="controls">
			<?php echo JText::_('COM_JEXTRANET_FILES_SELECT_MULTIPLE_FILES_FTP');?>
		</div>
	</div>
		
</div>



