<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// add helper
require_once JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'jextranet.php';
require_once JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'jextranet.authorise.php';
require_once JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'jextranet.alerter.php';

// add the menu
require_once JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'menu.php';

// TEMPLATE LOADING STYLE
$params = JComponentHelper::getParams('com_jextranet');
$location_of_css = $params->get('location_of_css', '');

if ($location_of_css !== '') {
    $pure_css = $location_of_css;
    $default_css = $location_of_css;
} else {
    $pure_css = 'https://unpkg.com/purecss@0.6.2/build/';
    $default_css = 'components/com_jextranet/assets/css/';
}

if ($params->get('template') == 1)
{
	if ($params->get('load_bootstrap_css') == 1)
	{
		JHtml::_('bootstrap.loadCss', true );
	}

	if ($params->get('load_bootstrap_js') == 1)
	{
	    JHtml::_('bootstrap.framework');
	}

	JHtml::stylesheet($default_css . 'legacy.css');
}
elseif ($params->get('template') == 0)
{
	JHtml::stylesheet($pure_css . 'base-min.css');
	JHtml::stylesheet($pure_css . 'buttons-min.css');
	JHtml::stylesheet($pure_css . 'forms-min.css');
	JHtml::stylesheet($pure_css . 'grids-min.css');
	JHtml::stylesheet($pure_css . 'grids-responsive-min.css');
	JHtml::stylesheet($pure_css . 'menus.css');
	JHtml::stylesheet($default_css . 'default.css');
}

JHtml::stylesheet( 'components/com_jextranet/assets/simple-line-icons/simple-line-icons.css');


$controller = JControllerLegacy::getInstance('JExtranet');
$controller->execute(JFactory::getApplication()->input->get('task', '', 'word'));
$controller->redirect();

