<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>
<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-pin"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_BOOKMARKS');?>
		</div>
	</div>
</div>
    
<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( 'bookmarks' ) ;?>
        </div>

		<div class="span10 pull-left">

		   <form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=bookmarks'); ?>" method="post" name="adminForm" id="adminForm">

			<div class="lastest-files">
				<div class="item-footer">
					<div class="row-fluid">
						<div class="span12">
							<a href="javascript:void(0);" onclick="JExtranetSubmitTask('bookmarks.remove');">
								<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_BOOKMARKS_REMOVE_ALL');?>
							</a>
						</div>
					</div>
				</div>

				<?php if ( $this->bookmarks ) { foreach ($this->bookmarks as $i => $file) { ?>

				<div class="row-fluid item-row">
					<div class="span12">
						<div class="span11 dropdown">
							<i class="ico-doc jicon"></i> 
							<a href="javascript:void(0);" onclick="JExtranetDownloadThis('<?php echo $file->f_id;?>');">
								<?php echo $this->escape( $file->f_title ); ?>
							</a>
							<span class="size pull-right">
								 <?php echo JExtranetHelper::getSystem()->parseSize($file->f_size); ?>
							</span>
						</div>
			
						<div class="span1 goto-wrapper">
							<a href="javascript:void(0);" onclick="JExtranetDownloadThis('<?php echo $file->f_id;?>');"><i class="ico-arrow-down"></i></a>
                        </div>
					</div>
				</div>
			<?php } } else { ?>
				<div class="row-fluid item-row">
					<div class="span12">
						<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_BOOKMARKS');?></p>
					</div>
				</div>
			<?php } ?>
			</div>


				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
		
	</div>
</div>

