<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class JExtranetViewBookmarks extends JViewLegacy
{
    protected $params;
	protected $bookmarks;
    protected $location_of_js;
	
	function display($tpl = null) {

        $this->params = JComponentHelper::getParams('com_jextranet');
		$this->bookmarks	= $this->get('Bookmarks');
        $this->location_of_js = $this->params->get('location_of_js',
            'components/com_jextranet/assets/js/');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		JHTML::script($this->location_of_js . 'functions.js');

		$tpl = JComponentHelper::getParams('com_jextranet')->get('template') == 1 ? 'legacy' : 'default';
		parent::display($tpl);
		
	}
}
