<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="jextranet">
	<div class="pure-g">
		<div class="pure-u-1 jheader">
			<i class="ico-plus"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_CREATE_FOLDER');?>
		</div>
	</div>
	
	<form class="pure-form pure-form-stacked" action="<?php echo JRoute::_('index.php?option=com_jextranet&view=createf', false);?>" id="uploadForm" name="uploadForm" method="post" enctype="multipart/form-data">
		
		<input type="text" name="jform[name]" placeholder="<?php echo JText::_('COM_JEXTRANET_FOLDERS_NAME');?>" />

		<select name="jform[status]" class="span6 pull-left">
				<option value="pv"><?php echo JText::_('COM_JEXTRANET_FOLDERS_PRIVATE');?></option>
				<option value="pb"><?php echo JText::_('COM_JEXTRANET_FOLDERS_PUBLIC');?></option>
		</select>

		<button type="submit" class="pure-button pure-button-primary"><i class="ico-check"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_CREATE_FOLDER');?></button>&nbsp;
		<button type="button" class="pure-button" onclick="TINY.box.hide();"><i class="ico-close"></i> <?php echo JText::_('JCANCEL');?></button>

		<input type="hidden" name="task" value="folders.create" />
		<input type="hidden" name="jform[folder]" value="<?php echo $this->folderid;?>" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
