<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class JExtranetViewCustom extends JViewLegacy
{

    protected $title;
    protected $content;
    protected $location;

	function display($tpl = null) {
        
        $idx = JFactory::getApplication()->input->get('id',null,'int');
        $active_pages = JExtranetHelperUser::getInstance()->getCustomPages();
        $params = JExtranetHelperUser::getInstance()->getParams();
        $key = 'customPage' . $idx;

        if(is_null($idx) || !in_array($idx, $active_pages)) {
			JError::raiseError(500, 'invalid index');
			return false;
        }

        $this->title = JText::_('COM_JEXTRANET_CUSTOM_PAGE_' . $idx);
        $this->location = 'custom_page_' . $idx;
        $this->content = isset($params->$key) ? $params->$key : '';

        $this->location_of_js = JComponentHelper::getParams('com_jextranet')
            ->get('location_of_js','components/com_jextranet/assets/js/');
		
		JHTML::script($this->location_of_js . 'functions.js');

		$tpl = JComponentHelper::getParams('com_jextranet')->get('template') == 1 ? 'legacy' : 'default';
		parent::display($tpl);
		
	}
}

