<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Copyright (C) 2011 Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript" src="<?php echo $this->location_of_js;?>functions.js"></script>

<div class="jextranet">
	<div class="pure-g">
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('folders') ;?>
        </div>

		<div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">
			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-folder"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_FOLDERS');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>
			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $this->folder->get('id') ); ?>" method="post" name="adminForm" id="adminForm" class="pure-form">
				<?php echo $this->loadTemplate('table'); ?>
				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="folder" value="<?php echo $this->folder->get('id'); ?>" />
				<input type="hidden" name="return" value="<?php echo $this->return;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	</div>
</div>
<?php if ($this->user->canUpload($this->level)) {?>
<script type="text/javascript">
	var dropZone = document.getElementById('uploadarea');
	var uf1 = document.getElementById('uf1');
	var if1 = document.getElementById('afile');

	uf1.addEventListener('mouseover', function(e) {
		uf1.style.border = '2px dashed #000';
	});

	uf1.addEventListener('mouseout', function(e) {
		uf1.style.border = '2px dashed #ddd';
	});

	dropZone.addEventListener('dragover', function(e) {
		if (e.preventDefault) e.preventDefault(); 
		if (e.stopPropagation) e.stopPropagation();
		uf1.style.border = '2px dashed #000';
	});


	dropZone.addEventListener('dragenter', function(e) {
		uf1.style.border = '2px dashed #000';
	});

	// Event Listener for when the dragged file leaves the drop zone.
	dropZone.addEventListener('dragleave', function(e) {
		uf1.style.border = '2px dashed #ddd';
	});

	dropZone.addEventListener('drop', function(e){
		if (e.preventDefault) e.preventDefault(); 
		if (e.stopPropagation) e.stopPropagation();

		var fileList = e.dataTransfer.files;

		if (fileList.length > 0) {
			uploadFiles(fileList);
		}
	});


	dropZone.addEventListener('click', function(e) {
		if1.click();
	});

	if1.addEventListener('change', function(e){
		uploadFiles(e.target.files);
	});


	function uploadFiles(myfiles)
	{
  		var xhr = new XMLHttpRequest();
  		var fd = new FormData();
  		var url = '<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.upload&' . JSession::getFormToken() . '=1&folder=' . $this->folder->get('id'); ?>';  


  		xhr.open('POST', url, true);

  		for (var i=0; i<myfiles.length; i++)
		{
			fd.append('mf_file_upload[]', myfiles[i]);

			document.querySelector('.progress').style.width = '0%';

			xhr.upload.onprogress = function(e) {
				if (e.lengthComputable) {
					var percentComplete = (e.loaded / e.total) * 100;
					document.querySelector('.progress').style.width = percentComplete+'%';
					document.querySelector('.info').innerText = "<?php echo JText::_('COM_JEXTRANET_UPLOADING_PLEASE_WAIT', true);?>";
				}
			};

			xhr.onload = function() {
				if (this.status == 200) {
					var resp = JSON.parse(this.response);
					finishUpload(resp);
				}
			};
		}

		xhr.send(fd);
	}

	function finishUpload(response) {
		var files = new Array();

		if (response.length > 0) {
			response.forEach(file => {
				if (file.error == null) {
					files.push(file);
				}
			});

			if (files.length > 0) {
				sendNotifications(files);
			}
		} 
		setTimeout(redirectUser, 3000);
	}

	function sendNotifications(files) {

		var url = '<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.notify&' . JSession::getFormToken() . '=1&folder=' . $this->folder->get('id');?>'; 
		var xhr = new XMLHttpRequest();
  		xhr.open('POST', url, true);
  		xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
		xhr.send(JSON.stringify(files));
	}

	function redirectUser() {
		document.location.href = '<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&id=' . $this->folder->get('id'), false); ?>';
	}
</script>
<?php } ?>
