<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="pure-g">
	<div class="pure-u-1 pure-u-md-12-24">
		<div class="panel">		
			<div class="pure-g ptitle">
				<div class="pure-u-1">
					<h4><i class="ico-doc"></i>  <?php echo JText::_('COM_JEXTRANET_LATEST_FILES');?></h4>
				</div>
			</div>

		<?php if (!empty($this->latest)) { ?> 
			<?php $i=0; foreach ($this->latest as $latest) {?>
			<div class="pure-g pcontent <?php echo 'line' . $i%2;?>">
				<div class="pure-u-1 line pure-menu-heading">
					<div class="pure-u-21-24 pure-u-md-20-24 title">
						<span><?php echo $this->escape($latest->f_title);?></span>
					</div>
					<div class="pure-u-2-24 pure-u-md-3-24">
						<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $latest->f_parent, false); ?>"><i class="ico-arrow-right"></i></a>
					</div>
				</div>
			</div>
			<?php $i++;  } ?>
		<?php } ?>
		</div>
	</div>

	<div class="pure-u-1 pure-u-md-1-24"><p></p></div>

	<div class="pure-u-1 pure-u-md-11-24">
		<div class="panel">	
			<div class="pure-g ptitle">
				<div class="pure-u-1">
					<h4><i class="ico-speech"></i>  <?php echo JText::_('COM_JEXTRANET_LASTEST_MESSAGES');?></h4>
				</div>
			</div>

			<?php if ($this->latestMess) { ?> 
			<?php $i=0; foreach ($this->latestMess as $message) {?>
			<div class="pure-g pcontent <?php echo 'line' . $i%2;?> message">
				<div class="pure-u-1 line pure-menu-heading">
					<div class="pure-u-21-24 pure-u-md-21-24">
						<span><a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->id, false); ?>"><?php echo $this->escape($message->subject);?></a></span>
					</div>
					<div class="pure-u-2-24 pure-u-md-2-24">
						<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->id, false); ?>"><i class="ico-eyeglasses"></i></a>
					</div>
				</div>
			</div>
			<?php $i++;  } ?>
			<?php } ?>

			<div class="pure-g pcontent">
				<div class="pure-u-1 line text-center">
					<div class="pure-u-11-24 pure-u-md-11-24 title">
						<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-list"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_RECEIVEDM');?></a>
					</div>
					<div class="pure-u-12-24 pure-u-md-12-24">
						<a href="javascript:void(0);" onclick="JExtranetSubmitTask('messages.compose');"><i class="ico-envelope-letter"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE');?></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

    



