<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-speech"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_MESSAGES');?>
		</div>
	</div>
</div>


<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( 'messages' ) ;?>
        </div>


		<div class="span10 pull-left">
			
			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages'); ?>" method="post" name="adminForm" id="adminForm">
           
				<div class="row-fluid">
					<div class="span12">
						<div class="lastest-files">
						
							<div class="item-footer">
								<div class="row-fluid">
									<div class="span12">
										<div class="span6 border-right">
											<a href="javascript:void(0);" onclick="JExtranetSubmitTask('messages.compose');">
												<i class="ico-pencil"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE');?>
											</a>
										</div>

										<div class="span6">
											<a href="javascript:void(0);" onclick="JExtranetSubmitTask('messages.delete');">
												<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_DELETE_SELECTED');?>
											</a>
										</div>
									</div>
								</div>
							</div>

							<?php if ( $this->items ) { foreach ( $this->items as $item ) { ?>
							<div class="row-fluid item-row">
								<div class="span12">
									<div class="span1">
										<input type="checkbox" id="cid<?php echo $item->m_id; ?>" name="cid[]" value="<?php echo $item->m_id; ?>" />
									</div>

									<div class="span10 pull-left">
										<span><i class="ico-speech"></i> <a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $item->m_id, false ); ?>"><?php echo $this->escape($item->m_subject); ?></a></span>
										<span class="pull-right"><?php echo $item->m_user_id_to == 1 ? JText::_('COM_JEXTRANET_MESSAGES_SENTM') : JText::_('COM_JEXTRANET_MESSAGES_RECEIVEDM');  ?></span>
									</div>

									<div class="span1 goto-wrapper">
										<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $item->m_id, false); ?>"><i class="ico-eyeglasses"></i></a>
									</div>
								</div>
							</div>
							<?php } } else { ?>
							<div class="row-fluid item-row">
								<div class="span12">
									<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_MESSAGES') ;?></p>
								</div>
							</div>
							<?php } ?>

						</div>
					</div>
				</div>


				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>

		</div>
		
	</div>
</div>
