<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerGroups extends JControllerAdmin {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_GROUPS';
	
	public function getModel($name = 'Group', $prefix = 'JExtranetModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}
	
		
	public function delete () {
		
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		
		$ids = JRequest::getVar('cid', array(), '', 'array');
		$url = 'index.php?option=com_jextranet&view=groups';
		
		if (empty($ids)) {
			
			$this->setRedirect( $url, JText::_('COM_JEXTRANET_GROUPS_ERROR_NO_FILES_SELECTED'), 'warning' );
		 
		} else {
			 
			$model = $this->getModel();
			
			if ( $model->deleteGroups ( $ids )) {
				$this->setRedirect( $url, JText::_('COM_JEXTRANET_GROUPS_N_ITEMS_DELETED'), 'message' );
			} else {
				$errors = $model->getError();
				$this->setRedirect( $url, $errors, 'error' );
			}
		}
	}
	
}

?>
