<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

class JFormFieldFdparent extends JFormFieldList {

	protected $type = 'fd_parent';

	public function getInput() {
		$folders	= JExtranetHelper::getFolder(0)->getSubfolders( true );
		array_walk( $folders, array( $this, 'attach') );
		$html = '<select id="jform_fd_parent" class="'.$this->class.'" aria-required="true" required="" name="jform[fd_parent]">';
		$html .= '<option value="0">' .  JText::_('COM_JEXTRANET_FOLD_ROOT') . '</option>';
		$html .= JHtml::_('select.options', $folders, 'id', 'name', $this->value );
		$html .= '</select>';
		
		
		return $html;
	}
	
	public function attach( &$folder, $key ) {
		$folder->name = str_repeat( ' - ', $folder->deep + 1 ) . $folder->name;
	}

	
}
?>
