<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetController extends JControllerLegacy {
	
	function display( $cachable = false, $urlparams = false ) {

		$view 		= JRequest::getCmd('view','jextranet');
		$access 	= new JExtranetHelperAuthorise();
		$authorized	= $access->getAuthorisationLevel();
		
		$login_message = (JFactory::getUser()->get('id') == 0) ? JText::_('COM_JEXTRANET_NOT_LOGIN') : JText::_('COM_JEXTRANET_NOT_AUTHORISED');

		if ( $view =='jextranet' && !$authorized ) {
			$this->setRedirect(JRoute::_('index.php?option=com_jextranet&view=login',false),$login_message,'warning');
			return;
		} 
		
		if ( $view != 'login' && $view != 'jextranet' )  {
			if ( !$authorized ) {
				$this->setRedirect(JRoute::_('index.php?option=com_jextranet&view=login',false),$login_message,'warning');
				return;
			}
		}

		parent::display();
	}
}
