<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>
<?php if (!$this->logged) {?>
<div class="jextranet">
	<form class="pure-form pure-form-stacked login-form" method="post" action="<?php echo JRoute::_('index.php?option=com_jextranet',false);?>">	
		<div class="pure-g">
			<div class="pure-u-1 pure-u-md-1-3"></div>
			<div class="pure-u-1 pure-u-md-1-3 jlogo text-center">
				 <legend><i class="ico-lock"></i></legend>
			</div>
			<div class="pure-u-1 pure-u-md-1-3"></div>
		</div>

		<div class="pure-g">
			<div class="pure-u-1 pure-u-md-1-3"></div>
			<div class="pure-u-1 pure-u-md-1-3">	
			 	<fieldset class="pure-group">
					<input type="text" id="extranetUsername" name="username" class="pure-input-1" placeholder="<?php echo JText::_('COM_JEXTRANET_LOGIN_USERNAME');?>" />
					<input type="password" id="inputPassword" name="password" class="pure-input-1" placeholder="<?php echo JText::_('COM_JEXTRANET_LOGIN_PASSWORD');?>" />
                    <?php if($this->tfa) {?>
                    <input type="text" id="secretkey" name="secretkey"
                        class="pure-input-1"
                        placeholder="<?php echo JText::_('COM_JEXTRANET_SK');?>" />
                    <?php } ?>
				</fieldset>
			</div>	
			<div class="pure-u-1 pure-u-md-1-3"></div>
		</div>

		<div class="pure-g">
			<div class="pure-u-1 pure-u-md-1-3"></div>
			<div class="pure-u-1 pure-u-md-1-3">	
				<button type="submit" class="pure-button pure-input-1 pure-button-primary"><?php echo JText::_('COM_JEXTRANET_LOGIN_LOGIN');?></button>
			</div>	
			<div class="pure-u-1 pure-u-md-1-3"></div>
		</div>		

		<input type="hidden" value="com_users" name="option">
		<input type="hidden" value="user.login" name="task">
		<input type="hidden" value="<?php echo $this->landing;?>" name="return">
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
<?php } ?>


