<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewLogin extends JViewLegacy {
	
	protected $landing;
	protected $logged;
    protected $tfa;
	
	public function display($tpl = null) 
	{
		$this->landing = base64_encode('index.php?option=com_jextranet&view=' . JComponentHelper::getParams('com_jextranet')->get( 'landingPage', 'jextranet'));
		$this->logged = JFactory::getUser()->get('id');
		$tfa = JAuthenticationHelper::getTwoFactorMethods();
		$this->tfa = is_array($tfa) && count($tfa) > 1;
		
		$tpl = JComponentHelper::getParams('com_jextranet')->get('template') == 1 ? 'legacy' : 'default';
		parent::display($tpl);
	}
}
